- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# QAbstractState Class Reference

Search for all occurrences

## Detailed Description

Definition at line 59 of file qabstractstate.h.

`#include <qabstractstate.h>`

Inheritance diagram for QAbstractState:
[legend]

List of all members.

## Public Member Functions
| ~QAbstractState ()
QState * | parentState () const
QStateMachine * | machine () const
## Protected Member Functions
| QAbstractState (QState *parent=0)
virtual void | onEntry (QEvent *event)=0
virtual void | onExit (QEvent *event)=0
bool | event (QEvent *e)
| QAbstractState (QAbstractStatePrivate &dd, QState *parent)

## Constructor & Destructor Documentation

~QAbstractState | ( |  | ) |

QAbstractState | ( | QState * | parent = `0` | ) | `[protected]`

QAbstractState | ( | QAbstractStatePrivate & | dd,
|  | QState * | parent
| ) |  | `[protected]`

## Member Function Documentation

QState* parentState | ( |  | ) | const

Search for all occurrences

QStateMachine* machine | ( |  | ) | const

Search for all occurrences

virtual void onEntry | ( | QEvent * | event | ) | `[protected, pure virtual]`

Search for all occurrences

Implemented in QFinalState, QHistoryState, QState, and QStateMachine.

virtual void onExit | ( | QEvent * | event | ) | `[protected, pure virtual]`

Search for all occurrences

Implemented in QFinalState, QHistoryState, QState, and QStateMachine.

bool event | ( | QEvent * | e | ) | `[protected, virtual]`

Search for all occurrences

Reimplemented from QObject.

Reimplemented in QFinalState, QHistoryState, QState, and QStateMachine.

The documentation for this class was generated from the following file:

- QtCore/qabstractstate.h

QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState
QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState QAbstractState